import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * TriggerLabel is a class that in which can be activated to show a different line of text when activated, due to it implementing Trigger.
 * 
 * @author MathManiac
 * @version 1.0
 */
public class TriggerLabel  extends Label implements Trigger {
    
    protected String endtxt = "Activated"; //Default Text if superclass constructor was used
    
    /**
     * Does same thing as superclass constructor.
     */
    public TriggerLabel(String txt, String endtxt) {
        
        super(txt);
        this.endtxt = endtxt;
        
    }
    
    public void activate() {
        
        setLabel(endtxt);
        
    }
}
